libosmo-sigtran: osmo_ss7_asp Struct Reference

libosmo-sigtran 2.2.1.95-893c Osmocom SIGTRAN library

Data Fields
osmo_ss7_asp Struct Reference

`#include <ss7_asp.h>`

## Data Fields
struct llist_head | list
| entry in osmo_ss7_instance::asp_list More...
struct llist_head | assoc_as_list
unsigned int | num_assoc_as
struct osmo_ss7_instance * | inst
struct osmo_fsm_inst * | fi
| ASP FSM. More...
struct osmo_xua_server * | xua_server
| osmo_xua_server over which we were established More...
struct llist_head | siblings
struct osmo_stream_cli * | client
| osmo_stream / libosmo-netif handles More...
struct osmo_stream_srv * | server
char * | sock_name
| pre-formatted human readable local/remote socket name More...
uint32_t | remote_asp_id
bool | remote_asp_id_present
struct osmo_xua_layer_manager * | lm
bool | dyn_allocated
| Were we dynamically allocated. More...
bool | simple_client_allocated
| Were we allocated by "simple client" support? More...
struct rate_ctr_group * | ctrg
| Rate Counter Group. More...
struct msgb * | pending_msg
| Pending message for non-blocking IPA read. More...
struct {
uint8_t sls:4
bool sls_assigned
} | ipa
struct {
char * name
char * description
enum osmo_ss7_asp_protocol proto
struct {
bool shutdown:1
| no SCTP association with peer More...
bool blocked:1
| SCP association, but reject ASP-ACTIVE. More...
} adm_state
bool is_server
enum osmo_ss7_asp_role role
bool role_set_by_vty
bool trans_role_set_by_vty
bool explicit_shutdown_state_by_vty_since_node_enter
uint32_t local_asp_id
bool local_asp_id_present
struct osmo_ss7_asp_peer local
struct osmo_ss7_asp_peer remote
uint8_t qos_class
uint32_t quirks
bool daud_act
struct osmo_tdef * T_defs_xua
struct osmo_tdef * T_defs_lm
struct {
bool num_ostreams_present
bool max_instreams_present
bool max_attempts_present
bool max_init_timeo_present
uint16_t num_ostreams_value
uint16_t max_instreams_value
uint16_t max_attempts_value
uint16_t max_init_timeo_value
} sctp_init
struct {
bool keepalive_enable
bool keepalive_time_present
bool keepalive_intvl_present
bool keepalive_probes_present
bool user_timeout_present
int keepalive_time_value
int keepalive_intvl_value
int keepalive_probes_value
unsigned int user_timeout_value
} tcp
int trans_proto
| The underlaying transport protocol (one of IPPROTO_*) More...
} | cfg

## Field Documentation

## ◆

struct { ... } osmo_ss7_asp::adm_state

Referenced by asp_act_needed(), DEFUN_ATTR(), lm_active(), osmo_ss7_asp_restart(), ss7_asp_alloc(), ss7_asp_set_blocked(), ss7_vty_write_one_asp(), xua_accept_cb(), xua_asp_fsm_inactive(), and xua_cli_close_and_reconnect().

## ◆ assoc_as_list

struct llist_head osmo_ss7_asp::assoc_as_list

Referenced by _ss7_asp_get_all_rctx(), as_list_for_asp(), asp_act_needed(), common_asp_fsm_down_onenter(), dispatch_to_all_as(), handle_rkey_reg(), osmo_ss7_asp_destroy(), reg_req_all_assoc_as(), ss7_as_asp_assoc_alloc(), ss7_as_asp_assoc_find(), ss7_asp_alloc(), ss7_asp_check_remote_asp_id_unique(), ss7_asp_determine_traf_mode(), ss7_asp_find_as_by_rctx(), ss7_asp_get_first_as(), and xua_asp_fsm_inactive().

## ◆ blocked

bool osmo_ss7_asp::blocked

SCP association, but reject ASP-ACTIVE.

Referenced by asp_act_needed(), lm_active(), ss7_asp_set_blocked(), ss7_vty_write_one_asp(), and xua_asp_fsm_inactive().

## ◆

struct { ... } osmo_ss7_asp::cfg

Referenced by as_notify_all_asp(), asp_act_needed(), asp_client_apply_sctp_init_pars(), asp_handle_sctp_notif_monitor_primary_address(), DEFUN(), DEFUN_ATTR(), handle_rkey_reg(), ipa_asp_allstate(), ipa_asp_fsm_down(), ipa_asp_fsm_start(), ipa_asp_fsm_wait_id_resp(), ipa_rx_msg(), ipa_rx_msg_osmo_ext_tcap_routing(), ipa_rx_msg_up(), ipa_t_beat_send(), lm_active(), lm_inactive_on_enter(), lm_rkm_reg(), lm_timer_cb(), lm_wait_asp_up(), lm_wait_asp_up_on_enter(), m3ua_rx_msg(), m3ua_rx_snm(), m3ua_rx_snm_asp(), m3ua_rx_snm_ipsp(), m3ua_rx_xfer(), m3ua_tx_xua_asp(), notify_any_other_active_asp_as_inactive(), osmo_sccp_simple_client_on_ss7_id(), osmo_sccp_simple_server_add_clnt(), osmo_ss7_asp_find2(), osmo_ss7_asp_find_by_name(), osmo_ss7_asp_find_by_proto(), osmo_ss7_asp_find_or_create2(), osmo_ss7_asp_get_log_subsys(), osmo_ss7_asp_get_name(), osmo_ss7_asp_get_proto(), osmo_ss7_asp_get_trans_proto(), osmo_ss7_asp_restart(), osmo_ss7_asp_send(), osmo_ss7_route_name(), peer_send(), peer_send_and_start_t_ack(), sctp_peer_addr_change_ev_addr_matches_our_primary(), show_one_asp(), show_one_asp_assoc_status(), show_one_asp_assoc_status_tcp(), show_one_asp_remaddr(), show_one_asp_remaddr_tcp(), show_one_tcap_range(), ss7_as_add_asp(), ss7_as_del_asp(), ss7_as_get_local_role(), ss7_as_select_asp_loadshare(), ss7_asp_alloc(), ss7_asp_apply_drop_local_address(), ss7_asp_apply_new_local_address(), ss7_asp_apply_peer_primary_address(), ss7_asp_apply_primary_address(), ss7_asp_apply_tcp_keepalive(), ss7_asp_apply_tcp_user_timeout(), ss7_asp_disconnect_stream(), ss7_asp_find_by_socket_addr(), ss7_asp_get_fd(), ss7_asp_is_started(), ss7_asp_rx_unknown(), ss7_asp_set_blocked(), ss7_asp_set_default_peer_hosts(), ss7_asp_start_client(), ss7_asp_xua_layer_manager_start(), ss7_asp_xua_srv_conn_closed_cb(), ss7_vty_node_asp_go_parent(), ss7_vty_write_one_as(), ss7_vty_write_one_asp(), sua_rx_msg(), sua_rx_snm(), sua_rx_snm_asp(), sua_rx_snm_ipsp(), sua_snm_ssn_available(), sua_tx_xua_asp(), write_asp_timers_lm(), write_asp_timers_xua(), xua_accept_cb(), xua_asp_allstate(), xua_asp_fsm_active_onenter(), xua_asp_fsm_down(), xua_asp_fsm_inactive(), xua_asp_fsm_inactive_onenter(), xua_asp_fsm_start(), xua_cli_close_and_reconnect(), xua_cli_connect_cb(), xua_layer_manager_default_alloc(), xua_rx_msg(), xua_snm_pc_available(), xua_snm_rx_dava(), xua_snm_rx_duna(), xua_snm_rx_dupu(), xua_snm_scon(), xua_snm_upu(), xua_t_ack_cb(), xua_t_beat_send(), xua_tx_scon(), xua_tx_snm_available(), xua_tx_snm_daud(), and xua_tx_upu().

## ◆ client

struct osmo_stream_cli* osmo_ss7_asp::client

osmo_stream / libosmo-netif handles

Referenced by asp_client_apply_sctp_init_pars(), get_fd_from_iafp(), osmo_ss7_asp_destroy(), osmo_ss7_asp_disconnect(), osmo_ss7_asp_send(), ss7_asp_apply_drop_local_address(), ss7_asp_apply_new_local_address(), ss7_asp_apply_peer_primary_address(), ss7_asp_apply_primary_address(), ss7_asp_apply_tcp_keepalive(), ss7_asp_apply_tcp_user_timeout(), ss7_asp_disconnect_stream(), ss7_asp_get_fd(), ss7_asp_is_started(), and ss7_asp_start_client().

## ◆ ctrg

struct rate_ctr_group* osmo_ss7_asp::ctrg

Rate Counter Group.

Referenced by ipa_cli_read_cb(), m3ua_rx_xfer(), m3ua_tcp_cli_read_cb(), osmo_ss7_asp_destroy(), osmo_ss7_asp_send(), ss7_asp_alloc(), ss7_asp_ipa_srv_conn_rx_cb(), ss7_asp_m3ua_tcp_srv_conn_rx_cb(), ss7_asp_rx_unknown(), ss7_asp_xua_srv_conn_rx_cb(), and xua_cli_read_cb().

## ◆ daud_act

bool osmo_ss7_asp::daud_act

Referenced by DEFUN_ATTR(), ss7_vty_write_one_asp(), and xua_asp_fsm_active_onenter().

## ◆ description

char* osmo_ss7_asp::description

Referenced by DEFUN_ATTR(), and ss7_vty_write_one_asp().

## ◆ dyn_allocated

bool osmo_ss7_asp::dyn_allocated

Were we dynamically allocated.

Referenced by ipa_asp_fsm_start(), osmo_ss7_asp_restart(), ss7_asp_xua_srv_conn_closed_cb(), ss7_vty_write_one_as(), ss7_vty_write_one_asp(), and xua_accept_cb().

## ◆ explicit_shutdown_state_by_vty_since_node_enter

bool osmo_ss7_asp::explicit_shutdown_state_by_vty_since_node_enter

Referenced by DEFUN_ATTR(), and ss7_vty_node_asp_go_parent().

## ◆ fi

struct osmo_fsm_inst* osmo_ss7_asp::fi

ASP FSM.

Referenced by as_notify_all_asp(), check_any_other_asp_not_down(), common_asp_fsm_down_onenter(), ipa_asp_fsm_cleanup(), ipa_asp_fsm_down_onenter(), ipa_asp_fsm_start(), ipa_rx_msg_ccm(), m3ua_rx_asp(), m3ua_rx_mgmt_err(), m3ua_rx_snm(), notify_any_other_active_asp_as_inactive(), osmo_ss7_asp_active(), osmo_ss7_asp_destroy(), osmo_ss7_asp_restart(), osmo_xlm_sap_down(), show_one_asp(), ss7_as_add_asp(), ss7_asp_set_blocked(), ss7_asp_xua_srv_conn_closed_cb(), sua_rx_asp(), sua_rx_snm(), xua_accept_cb(), xua_asp_fsm_active_onenter(), xua_asp_fsm_cleanup(), xua_asp_fsm_down_onenter(), xua_asp_fsm_inactive_onenter(), xua_asp_fsm_start(), xua_asp_send_xlm_prim(), xua_cli_close(), and xua_cli_connect_cb().

## ◆ inst

struct osmo_ss7_instance* osmo_ss7_asp::inst

Referenced by DEFUN(), DEFUN_ATTR(), handle_reg_conf(), handle_rkey_dereg(), handle_rkey_reg(), ipa_asp_fsm_wait_id_resp(), ipa_cli_read_cb(), ipa_rx_msg_up(), m3ua_rx_xfer(), m3ua_tcp_cli_read_cb(), osmo_ss7_asp_destroy(), osmo_ss7_asp_find(), osmo_ss7_asp_find2(), osmo_ss7_asp_find_by_name(), osmo_ss7_asp_find_or_create(), osmo_ss7_asp_find_or_create2(), osmo_ss7_asp_send(), osmo_ss7_instance_destroy(), osmo_ss7_instance_get_id(), osmo_ss7_instance_get_name(), osmo_ss7_instance_get_network_indicator(), osmo_ss7_instance_get_primary_pc(), osmo_ss7_instance_set_pc_fmt(), show_asp(), show_asp_assoc_status(), show_asp_remaddr(), ss7_asp_alloc(), ss7_asp_find_by_socket_addr(), ss7_asp_ipa_srv_conn_rx_cb(), ss7_asp_m3ua_tcp_srv_conn_rx_cb(), ss7_asp_rx_unknown(), ss7_asp_xua_srv_conn_rx_cb(), ss7_vty_node_asp_go_parent(), sua_rx_cl(), sua_rx_co(), sua_rx_msg(), t10_audit_timer_cb(), tx_daud_pc(), xua_asp_tx_snm_daud_address_book(), xua_cli_read_cb(), xua_snm_rx_daud(), xua_snm_rx_dava(), xua_snm_rx_duna(), xua_snm_rx_dupu(), and xua_snm_rx_scon().

## ◆

struct { ... } osmo_ss7_asp::ipa

Referenced by _ipa_asp_pick_unused_sls(), ipa_cli_read_cb(), and ss7_asp_ipa_srv_conn_rx_cb().

## ◆ is_server

bool osmo_ss7_asp::is_server

Referenced by DEFUN_ATTR(), osmo_sccp_simple_client_on_ss7_id(), osmo_sccp_simple_server_add_clnt(), osmo_ss7_asp_restart(), osmo_ss7_asp_send(), show_one_asp(), ss7_asp_apply_drop_local_address(), ss7_asp_apply_new_local_address(), ss7_asp_apply_peer_primary_address(), ss7_asp_apply_primary_address(), ss7_asp_disconnect_stream(), ss7_asp_get_fd(), ss7_asp_is_started(), ss7_vty_write_one_asp(), and xua_accept_cb().

## ◆ keepalive_enable

bool osmo_ss7_asp::keepalive_enable

Referenced by DEFUN_ATTR(), ss7_asp_apply_tcp_keepalive(), and ss7_vty_write_one_asp().

## ◆ keepalive_intvl_present

bool osmo_ss7_asp::keepalive_intvl_present

Referenced by DEFUN_ATTR(), ss7_asp_apply_tcp_keepalive(), and ss7_vty_write_one_asp().

## ◆ keepalive_intvl_value

int osmo_ss7_asp::keepalive_intvl_value

Referenced by DEFUN_ATTR(), ss7_asp_apply_tcp_keepalive(), and ss7_vty_write_one_asp().

## ◆ keepalive_probes_present

bool osmo_ss7_asp::keepalive_probes_present

Referenced by DEFUN_ATTR(), ss7_asp_apply_tcp_keepalive(), and ss7_vty_write_one_asp().

## ◆ keepalive_probes_value

int osmo_ss7_asp::keepalive_probes_value

Referenced by DEFUN_ATTR(), ss7_asp_apply_tcp_keepalive(), and ss7_vty_write_one_asp().

## ◆ keepalive_time_present

bool osmo_ss7_asp::keepalive_time_present

Referenced by DEFUN_ATTR(), ss7_asp_apply_tcp_keepalive(), and ss7_vty_write_one_asp().

## ◆ keepalive_time_value

int osmo_ss7_asp::keepalive_time_value

Referenced by DEFUN_ATTR(), ss7_asp_apply_tcp_keepalive(), and ss7_vty_write_one_asp().

## ◆ list

struct llist_head osmo_ss7_asp::list

entry in osmo_ss7_instance::asp_list

Referenced by osmo_sccp_simple_client_on_ss7_id(), osmo_ss7_asp_destroy(), osmo_ss7_asp_find_by_name(), osmo_ss7_instance_destroy(), show_asp(), show_asp_assoc_status(), show_asp_remaddr(), ss7_asp_alloc(), ss7_asp_find_by_socket_addr(), sua_snm_ssn_available(), tcap_hlist_get(), xua_snm_pc_available(), and xua_snm_scon().

## ◆ lm

struct osmo_xua_layer_manager* osmo_ss7_asp::lm

Referenced by default_lm_prim_cb(), ss7_asp_xua_layer_manager_destroy(), ss7_asp_xua_layer_manager_start(), xua_asp_send_xlm_prim(), and xua_cli_connect_cb().

## ◆ local

struct osmo_ss7_asp_peer osmo_ss7_asp::local

Referenced by DEFUN_ATTR(), osmo_sccp_simple_client_on_ss7_id(), osmo_sccp_simple_server_add_clnt(), osmo_ss7_asp_find2(), osmo_ss7_asp_find_or_create2(), osmo_ss7_asp_restart(), show_one_asp(), ss7_asp_alloc(), ss7_asp_apply_drop_local_address(), ss7_asp_apply_new_local_address(), ss7_asp_apply_peer_primary_address(), ss7_asp_find_by_socket_addr(), ss7_asp_set_default_peer_hosts(), ss7_asp_start_client(), ss7_vty_write_one_asp(), and xua_accept_cb().

## ◆ local_asp_id

uint32_t osmo_ss7_asp::local_asp_id

Referenced by DEFUN_ATTR(), peer_send(), ss7_vty_write_one_asp(), and xua_asp_fsm_down().

## ◆ local_asp_id_present

bool osmo_ss7_asp::local_asp_id_present

Referenced by DEFUN_ATTR(), peer_send(), ss7_vty_write_one_asp(), and xua_asp_fsm_down().

## ◆ max_attempts_present

bool osmo_ss7_asp::max_attempts_present

Referenced by asp_client_apply_sctp_init_pars(), DEFUN_ATTR(), and ss7_vty_write_one_asp().

## ◆ max_attempts_value

uint16_t osmo_ss7_asp::max_attempts_value

Referenced by asp_client_apply_sctp_init_pars(), DEFUN_ATTR(), and ss7_vty_write_one_asp().

## ◆ max_init_timeo_present

bool osmo_ss7_asp::max_init_timeo_present

Referenced by asp_client_apply_sctp_init_pars(), DEFUN_ATTR(), and ss7_vty_write_one_asp().

## ◆ max_init_timeo_value

uint16_t osmo_ss7_asp::max_init_timeo_value

Referenced by asp_client_apply_sctp_init_pars(), DEFUN_ATTR(), and ss7_vty_write_one_asp().

## ◆ max_instreams_present

bool osmo_ss7_asp::max_instreams_present

Referenced by asp_client_apply_sctp_init_pars(), DEFUN_ATTR(), and ss7_vty_write_one_asp().

## ◆ max_instreams_value

uint16_t osmo_ss7_asp::max_instreams_value

Referenced by asp_client_apply_sctp_init_pars(), DEFUN_ATTR(), and ss7_vty_write_one_asp().

## ◆ name

char* osmo_ss7_asp::name

Referenced by DEFUN(), DEFUN_ATTR(), ipa_asp_fsm_start(), ipa_asp_fsm_wait_id_resp(), ipa_rx_msg_osmo_ext_tcap_routing(), osmo_sccp_simple_client_on_ss7_id(), osmo_ss7_asp_find(), osmo_ss7_asp_find2(), osmo_ss7_asp_find_by_name(), osmo_ss7_asp_find_or_create(), osmo_ss7_asp_find_or_create2(), osmo_ss7_asp_get_name(), osmo_ss7_asp_restart(), osmo_ss7_route_name(), show_one_asp(), show_one_asp_assoc_status(), show_one_asp_assoc_status_tcp(), show_one_asp_remaddr(), show_one_asp_remaddr_tcp(), show_one_tcap_range(), ss7_as_add_asp(), ss7_as_del_asp(), ss7_as_select_asp_loadshare(), ss7_asp_alloc(), ss7_asp_start_client(), ss7_asp_xua_srv_conn_closed_cb(), ss7_vty_write_one_as(), ss7_vty_write_one_asp(), xua_accept_cb(), xua_asp_fsm_start(), and xua_layer_manager_default_alloc().

## ◆ num_assoc_as

unsigned int osmo_ss7_asp::num_assoc_as

Referenced by as_list_for_asp(), DEFUN_ATTR(), osmo_sccp_simple_client_on_ss7_id(), ss7_as_asp_assoc_alloc(), ss7_as_asp_assoc_find(), ss7_as_asp_assoc_free(), and xua_find_as_for_asp().

## ◆ num_ostreams_present

bool osmo_ss7_asp::num_ostreams_present

Referenced by asp_client_apply_sctp_init_pars(), DEFUN_ATTR(), and ss7_vty_write_one_asp().

## ◆ num_ostreams_value

uint16_t osmo_ss7_asp::num_ostreams_value

Referenced by asp_client_apply_sctp_init_pars(), DEFUN_ATTR(), and ss7_vty_write_one_asp().

## ◆ pending_msg

struct msgb* osmo_ss7_asp::pending_msg

Pending message for non-blocking IPA read.

## ◆ proto

enum osmo_ss7_asp_protocol osmo_ss7_asp::proto

Referenced by DEFUN_ATTR(), ipa_rx_msg(), m3ua_rx_msg(), m3ua_tx_xua_asp(), notify_any_other_active_asp_as_inactive(), osmo_sccp_simple_client_on_ss7_id(), osmo_ss7_asp_find(), osmo_ss7_asp_find2(), osmo_ss7_asp_find_by_proto(), osmo_ss7_asp_find_or_create(), osmo_ss7_asp_find_or_create2(), osmo_ss7_asp_get_log_subsys(), osmo_ss7_asp_get_proto(), osmo_ss7_asp_send(), show_one_asp(), ss7_asp_alloc(), ss7_asp_rx_unknown(), ss7_asp_start_client(), ss7_asp_xua_layer_manager_start(), ss7_vty_write_one_asp(), sua_rx_msg(), sua_snm_ssn_available(), sua_tx_xua_asp(), xua_asp_fsm_start(), xua_rx_msg(), xua_snm_rx_dava(), xua_snm_rx_duna(), xua_snm_rx_dupu(), xua_tx_scon(), xua_tx_snm_available(), xua_tx_snm_daud(), and xua_tx_upu().

## ◆ qos_class

uint8_t osmo_ss7_asp::qos_class

Referenced by DEFUN_ATTR(), and ss7_vty_write_one_asp().

## ◆ quirks

uint32_t osmo_ss7_asp::quirks

Referenced by DEFUN_ATTR(), lm_timer_cb(), m3ua_rx_snm(), m3ua_rx_snm_asp(), m3ua_rx_snm_ipsp(), ss7_vty_write_one_asp(), sua_rx_snm(), sua_rx_snm_asp(), and sua_rx_snm_ipsp().

## ◆ remote

struct osmo_ss7_asp_peer osmo_ss7_asp::remote

Referenced by asp_handle_sctp_notif_monitor_primary_address(), DEFUN_ATTR(), osmo_sccp_simple_client_on_ss7_id(), osmo_sccp_simple_server_add_clnt(), osmo_ss7_asp_find2(), osmo_ss7_asp_find_or_create2(), osmo_ss7_asp_restart(), sctp_peer_addr_change_ev_addr_matches_our_primary(), show_one_asp(), ss7_asp_alloc(), ss7_asp_apply_primary_address(), ss7_asp_find_by_socket_addr(), ss7_asp_set_default_peer_hosts(), ss7_asp_start_client(), ss7_vty_write_one_asp(), and xua_accept_cb().

## ◆ remote_asp_id

uint32_t osmo_ss7_asp::remote_asp_id

Referenced by as_notify_all_asp(), notify_any_other_active_asp_as_inactive(), ss7_as_find_asp_by_remote_asp_id(), xua_asp_fsm_down(), and xua_asp_fsm_inactive().

## ◆ remote_asp_id_present

bool osmo_ss7_asp::remote_asp_id_present

Referenced by as_notify_all_asp(), common_asp_fsm_down_onenter(), notify_any_other_active_asp_as_inactive(), ss7_as_find_asp_by_remote_asp_id(), xua_asp_fsm_down(), and xua_asp_fsm_inactive().

## ◆ role

enum osmo_ss7_asp_role osmo_ss7_asp::role

Referenced by as_notify_all_asp(), DEFUN_ATTR(), handle_rkey_reg(), ipa_asp_allstate(), ipa_asp_fsm_down(), ipa_asp_fsm_start(), ipa_rx_msg_up(), lm_inactive_on_enter(), lm_wait_asp_up(), lm_wait_asp_up_on_enter(), m3ua_rx_snm(), m3ua_rx_xfer(), osmo_sccp_simple_client_on_ss7_id(), osmo_sccp_simple_server_add_clnt(), show_one_asp(), ss7_as_get_local_role(), ss7_vty_write_one_asp(), sua_rx_snm(), sua_snm_ssn_available(), xua_accept_cb(), xua_asp_allstate(), xua_asp_fsm_active_onenter(), xua_asp_fsm_down(), xua_asp_fsm_inactive_onenter(), xua_snm_pc_available(), xua_snm_rx_dava(), xua_snm_rx_duna(), xua_snm_rx_dupu(), xua_snm_scon(), and xua_snm_upu().

## ◆ role_set_by_vty

bool osmo_ss7_asp::role_set_by_vty

Referenced by DEFUN_ATTR(), and osmo_sccp_simple_client_on_ss7_id().

## ◆

struct { ... } osmo_ss7_asp::sctp_init

Referenced by asp_client_apply_sctp_init_pars(), DEFUN_ATTR(), and ss7_vty_write_one_asp().

## ◆ server

struct osmo_stream_srv* osmo_ss7_asp::server

Referenced by get_fd_from_iafp(), osmo_ss7_asp_destroy(), osmo_ss7_asp_disconnect(), osmo_ss7_asp_send(), ss7_asp_apply_drop_local_address(), ss7_asp_apply_new_local_address(), ss7_asp_apply_peer_primary_address(), ss7_asp_apply_primary_address(), ss7_asp_apply_tcp_keepalive(), ss7_asp_apply_tcp_user_timeout(), ss7_asp_disconnect_stream(), ss7_asp_get_fd(), ss7_asp_is_started(), ss7_asp_xua_srv_conn_closed_cb(), and xua_accept_cb().

## ◆ shutdown

bool osmo_ss7_asp::shutdown

no SCTP association with peer

Referenced by DEFUN_ATTR(), osmo_ss7_asp_restart(), ss7_asp_alloc(), ss7_vty_write_one_asp(), xua_accept_cb(), and xua_cli_close_and_reconnect().

## ◆ siblings

struct llist_head osmo_ss7_asp::siblings

Referenced by ss7_asp_xua_srv_conn_closed_cb(), ss7_xua_server_destroy(), and xua_accept_cb().

## ◆ simple_client_allocated

bool osmo_ss7_asp::simple_client_allocated

Were we allocated by "simple client" support?

Referenced by osmo_sccp_simple_client_on_ss7_id(), ss7_vty_write_one_as(), and ss7_vty_write_one_asp().

## ◆ sls

uint8_t osmo_ss7_asp::sls

Referenced by _ipa_asp_pick_unused_sls(), ipa_cli_read_cb(), and ss7_asp_ipa_srv_conn_rx_cb().

## ◆ sls_assigned

bool osmo_ss7_asp::sls_assigned

Referenced by _ipa_asp_pick_unused_sls().

## ◆ sock_name

char* osmo_ss7_asp::sock_name

pre-formatted human readable local/remote socket name

Referenced by osmo_ss7_route_name(), xua_accept_cb(), and xua_cli_connect_cb().

## ◆ T_defs_lm

struct osmo_tdef* osmo_ss7_asp::T_defs_lm

Referenced by DEFUN_ATTR(), lm_rkm_reg(), ss7_asp_alloc(), and write_asp_timers_lm().

## ◆ T_defs_xua

struct osmo_tdef* osmo_ss7_asp::T_defs_xua

Referenced by DEFUN_ATTR(), ipa_t_beat_send(), peer_send_and_start_t_ack(), ss7_asp_alloc(), write_asp_timers_xua(), xua_t_ack_cb(), and xua_t_beat_send().

## ◆

struct { ... } osmo_ss7_asp::tcp

Referenced by DEFUN_ATTR(), ss7_asp_apply_tcp_keepalive(), ss7_asp_apply_tcp_user_timeout(), and ss7_vty_write_one_asp().

## ◆ trans_proto

int osmo_ss7_asp::trans_proto

The underlaying transport protocol (one of IPPROTO_*)

Referenced by DEFUN_ATTR(), osmo_sccp_simple_client_on_ss7_id(), osmo_sccp_simple_server_add_clnt(), osmo_ss7_asp_find(), osmo_ss7_asp_find2(), osmo_ss7_asp_find_or_create(), osmo_ss7_asp_find_or_create2(), osmo_ss7_asp_get_trans_proto(), show_one_asp(), show_one_asp_assoc_status(), show_one_asp_remaddr(), ss7_asp_alloc(), ss7_asp_find_by_socket_addr(), ss7_asp_start_client(), ss7_vty_write_one_asp(), xua_accept_cb(), and xua_cli_connect_cb().

## ◆ trans_role_set_by_vty

bool osmo_ss7_asp::trans_role_set_by_vty

Referenced by DEFUN_ATTR(), and osmo_sccp_simple_client_on_ss7_id().

## ◆ user_timeout_present

bool osmo_ss7_asp::user_timeout_present

Referenced by DEFUN_ATTR(), ss7_asp_apply_tcp_user_timeout(), and ss7_vty_write_one_asp().

## ◆ user_timeout_value

unsigned int osmo_ss7_asp::user_timeout_value

Referenced by DEFUN_ATTR(), ss7_asp_apply_tcp_user_timeout(), and ss7_vty_write_one_asp().

## ◆ xua_server

struct osmo_xua_server* osmo_ss7_asp::xua_server

osmo_xua_server over which we were established

Referenced by ss7_asp_xua_srv_conn_closed_cb(), and xua_accept_cb().

The documentation for this struct was generated from the following file:

- src/ss7_asp.h